package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.CpsFileReviewInfo;

/**
 * cps_file_review_info预览文件Service接口
 * 
 * @author ruoyi
 * @date 2024-08-14
 */
public interface ICpsFileReviewInfoService 
{
    /**
     * 查询cps_file_review_info预览文件
     * 
     * @param id cps_file_review_info预览文件主键
     * @return cps_file_review_info预览文件
     */
    public CpsFileReviewInfo selectCpsFileReviewInfoById(Long id);

    /**
     * 查询cps_file_review_info预览文件列表
     * 
     * @param cpsFileReviewInfo cps_file_review_info预览文件
     * @return cps_file_review_info预览文件集合
     */
    public List<CpsFileReviewInfo> selectCpsFileReviewInfoList(CpsFileReviewInfo cpsFileReviewInfo);

    /**
     * 新增cps_file_review_info预览文件
     * 
     * @param cpsFileReviewInfo cps_file_review_info预览文件
     * @return 结果
     */
    public int insertCpsFileReviewInfo(CpsFileReviewInfo cpsFileReviewInfo);

    /**
     * 修改cps_file_review_info预览文件
     * 
     * @param cpsFileReviewInfo cps_file_review_info预览文件
     * @return 结果
     */
    public int updateCpsFileReviewInfo(CpsFileReviewInfo cpsFileReviewInfo);

    /**
     * 批量删除cps_file_review_info预览文件
     * 
     * @param ids 需要删除的cps_file_review_info预览文件主键集合
     * @return 结果
     */
    public int deleteCpsFileReviewInfoByIds(Long[] ids);

    /**
     * 删除cps_file_review_info预览文件信息
     * 
     * @param id cps_file_review_info预览文件主键
     * @return 结果
     */
    public int deleteCpsFileReviewInfoById(Long id);
}
